Bug 508309 - unowned locale directories
unowned locale directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: filesystem (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 09:47 EDT by Dennis Gregorovic
Modified: 2009-07-08 08:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: filesystem-2.4.22-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 08:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gregorovic 2009-06-26 09:47:53 EDT
Description of problem:
A number of /usr/share/locale directories are not owned by any package.  These should be owned by the filesystem package.

Version-Release number of selected component (if applicable):
Fedora 11 Gold

How reproducible:
always

Additional info:

unowned directories:
/usr/share/locale/az_IR
/usr/share/locale/az_IR/LC_MESSAGES
/usr/share/locale/bn_IN
/usr/share/locale/ca@valencia
/usr/share/locale/ca@valencia/LC_MESSAGES
/usr/share/locale/ckb
/usr/share/locale/ckb/LC_MESSAGES
/usr/share/locale/cs_CZ
/usr/share/locale/cs_CZ/LC_MESSAGES
/usr/share/locale/de_AT
/usr/share/locale/de_AT/LC_MESSAGES
/usr/share/locale/default
/usr/share/locale/default/LC_MESSAGES
/usr/share/locale/en_US
/usr/share/locale/en_US/LC_MESSAGES
/usr/share/locale/es_AR
/usr/share/locale/es_AR/LC_MESSAGES
/usr/share/locale/es_CL
/usr/share/locale/es_CL/LC_MESSAGES
/usr/share/locale/es_CO
/usr/share/locale/es_CO/LC_MESSAGES
/usr/share/locale/es_CR
/usr/share/locale/es_CR/LC_MESSAGES
/usr/share/locale/es_DO
/usr/share/locale/es_DO/LC_MESSAGES
/usr/share/locale/es_EC
/usr/share/locale/es_EC/LC_MESSAGES
/usr/share/locale/es_ES
/usr/share/locale/es_ES/LC_MESSAGES
/usr/share/locale/es_GT
/usr/share/locale/es_GT/LC_MESSAGES
/usr/share/locale/es_HN
/usr/share/locale/es_HN/LC_MESSAGES
/usr/share/locale/es_MX
/usr/share/locale/es_MX/LC_MESSAGES
/usr/share/locale/es_NI
/usr/share/locale/es_NI/LC_MESSAGES
/usr/share/locale/es_PA
/usr/share/locale/es_PA/LC_MESSAGES
/usr/share/locale/es_PE
/usr/share/locale/es_PE/LC_MESSAGES
/usr/share/locale/es_PR
/usr/share/locale/es_PR/LC_MESSAGES
/usr/share/locale/es_SV
/usr/share/locale/es_SV/LC_MESSAGES
/usr/share/locale/es_UY
/usr/share/locale/es_UY/LC_MESSAGES
/usr/share/locale/es_VE
/usr/share/locale/es_VE/LC_MESSAGES
/usr/share/locale/et_EE
/usr/share/locale/et_EE/LC_MESSAGES
/usr/share/locale/eu_ES
/usr/share/locale/eu_ES/LC_MESSAGES
/usr/share/locale/hne
/usr/share/locale/hne/LC_MESSAGES
/usr/share/locale/ks@devanagari
/usr/share/locale/ks@devanagari/LC_MESSAGES
/usr/share/locale/my_MM
/usr/share/locale/my_MM/LC_MESSAGES
/usr/share/locale/nb_NO
/usr/share/locale/nb_NO/LC_MESSAGES
/usr/share/locale/nds_DE
/usr/share/locale/nds_DE/LC_MESSAGES
/usr/share/locale/sl_SI
/usr/share/locale/sl_SI/LC_MESSAGES
/usr/share/locale/smolt-te
/usr/share/locale/smolt-te/LC_MESSAGES
/usr/share/locale/sr@Latn
/usr/share/locale/sr@Latn/LC_MESSAGES
/usr/share/locale/ur_PK
/usr/share/locale/ur_PK/LC_MESSAGES
/usr/share/locale/uz@cyrillic
/usr/share/locale/uz@cyrillic/LC_MESSAGES
/usr/share/locale/xx
/usr/share/locale/xx/LC_MESSAGES
/usr/share/locale/zh_HK
/usr/share/locale/zh_HK/LC_MESSAGES
/usr/share/locale/zh_TW.Big5
/usr/share/locale/zh_TW.Big5/LC_MESSAGES
Comment 1 Ondrej Vasik 2009-07-07 08:49:17 EDT
Thanks for report, I guess rawhide update should be enough - will do that soon ...
Comment 2 Ondrej Vasik 2009-07-08 08:32:29 EDT
Ok, built in Rawhide as filesystem-2.4.22-1.fc12.
Following dirs imho do not correspond with any lang - so they should not be owned by filesystem, but probably by package which writes to them(or they should be moved).
/usr/share/locale/ckb
/usr/share/locale/ckb/LC_MESSAGES
/usr/share/locale/xx
/usr/share/locale/xx/LC_MESSAGES
/usr/share/locale/hne
/usr/share/locale/hne/LC_MESSAGES
/usr/share/locale/smolt-te
/usr/share/locale/smolt-te/LC_MESSAGES

Could you please check which packages actually do own files inside those dirs? (and possibly ask those packages packagers about explanation why they use those directories? ). None of them is inside /usr/share/iso-codes/iso_639.tab . Anyway - done from my point of view, closing RAWHIDE.
Comment 3 Ondrej Vasik 2009-07-08 08:40:58 EDT
Aaah, probably ckb and hne are languages... http://en.wikipedia.org/wiki/ISO_639:c and http://en.wikipedia.org/wiki/ISO_639:h ... but only present in ISO_639-3 ... and Fedora uses ISO_639-2 - not sure what to do with them...

Note You need to log in before you can comment on or make changes to this bug.